[Rainmeter]
AppVersion=1001000
Update=1000

;Metadata added by RainBrowser
;http://rainmeter.net/RainCMS/?q=Rainmeter101_AnatomyOfASkin

[Metadata]
Name=
Config=
Description=
Instructions=
Version=
Tags=
License=
Variant=
Preview=

;End of added Metadata

[Variables]
WeatherCode=75044
Unit=c
Color1=255, 255, 255, 255
Color2=255, 255, 255, 160
Color3=255, 255, 255, 80
ColorActive=128, 192, 255, 217
ColorBorder=192, 192, 192, 128
ColorIcon=W
ColorUpload=128, 192, 255, 160
ColorDownload=#Color2#
Height1=10
Height2=7
Height3=8
Height4=9
Font=Trebuchet MS
SubstituteFeed="&apos;":"'","&quot;":"","&Quot;":"","&amp;":"&","&lt;br&gt;":"","![CDATA[":"","]]":"","...":"","<":"",">":"","/PRE&gt;":"","PRE&gt;":"","&lt;":"","&#39;":"'","&#228;":"ä","&#246;":"ö","&#8211;":"–"
SubstituteLink="&amp;":"&","<![CDATA[":"","]]>":""

;------------------------------------------------------------------------------------------------
; MEASURES

[MeasureWeatherRSS]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=1800
Url=http://weather.yahooapis.com/forecastrss?p=#WeatherCode#&u=#Unit#
RegExp=(?siU)<link.*>(.*)</link>.*city=\"(.*)\".*sunrise=\"(.*)\".*sunset=\"(.*)\".*<image>.*<url>(.*)</url>.*<title>.*:.*m .*(.*)</title>.*lat>(.*)<.*long>(.*)<.*yweather:condition.*text=\"(.*)\".*code=\"(.*)\".*temp=\"(.*)\".*yweather:forecast.*day=\"(.*)\".*high=\"(.*)\".*code=\"(.*)\".*yweather:forecast.*day=\"(.*)\".*high=\"(.*)\".*code=\"(.*)\".*
StringIndex=1

;--------------------------------
; CURRENT

[MeasureWeatherDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=9

[MeasureWeatherIcon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=10

[MeasureWeatherTemp]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=11

;-------------------------
; DAY 2

[MeasureWeatherDate2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=12
;Substitute="Sun":"Sunday","Mon":"Monday","Tue":"Tuesday","Wed":"Wednesday","Thursday":"THURSDAY","Fri":"Friday","Sat":"Saturday"

[MeasureWeatherTemp2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=13

[MeasureWeatherIcon2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=14

;-------------------------
; DAY 3

[MeasureWeatherDate3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=15
;Substitute="Sun":"Sunday","Mon":"Monday","Tue":"Tuesday","Wed":"Wednesday","Thursday":"THURSDAY","Fri":"Friday","Sat":"Saturday"

[MeasureWeatherTemp3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=16

[MeasureWeatherIcon3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=17

;-------------------------
; IMAGE PATH MODIFIERS

[MeasureWeatherIconMod]
Measure=CALC
Formula=8800000 + (MeasureWeatherIcon*1000) + 99
Substitute="88":"#CURRENTPATH#\Images\","099":".#ColorIcon#.png"

[MeasureWeatherIconMod2]
Measure=CALC
Formula=8800000 + (MeasureWeatherIcon2*1000) + 99
Substitute="88":"#CURRENTPATH#\Images\","099":".#ColorIcon#.png"

[MeasureWeatherIconMod3]
Measure=CALC
Formula=8800000 + (MeasureWeatherIcon3*1000) + 99
Substitute="88":"#CURRENTPATH#\Images\","099":".#ColorIcon#.png"

;------------------------------------------------------------------------------------------------
; METERS

[Temp]
MeasureName=MeasureWeatherTemp
Meter=STRING
X=150
Y=145
FontColor=#Color1#
StringStyle=NORMAL
FontSize=#Height1#
StringAlign=RIGHT
StringStyle=BOLD
FontFace=#Font#
AntiAlias=1
Postfix="°"

[Desc]
MeasureName=MeasureWeatherDesc
Meter=STRING
X=145
Y=15r
FontColor=#Color2#
FontSize=#Height2#
StringAlign=RIGHT
StringStyle=NORMAL
FontFace=#Font#
AntiAlias=1

[Icon]
MeasureName=MeasureWeatherIconMod
Meter=IMAGE
X=135
Y=145
W=45
H=33

[Logo]
ImageName=#SKINSPATH#Enigma\Resources\Images\MoxaWeather\Logo.png
Meter=IMAGE
X=7r
Y=r
H=40
W=40
Hidden=1
LeftMouseDownAction=!Execute ["http://weather.yahoo.com/"][!RainmeterRedraw]

;-----------------------
; DAY 2

[Temp2]
MeasureName=MeasureWeatherTemp2
Meter=STRING
X=60
Y=20
FontColor=#Color1#
StringStyle=NORMAL
FontSize=#Height1#
StringAlign=RIGHT
StringStyle=BOLD
FontFace=#Font#
AntiAlias=1
Postfix="°"

[Date2]
MeasureName=MeasureWeatherDate2
Meter=STRING
X=52
Y=15r
FontColor=#Color2#
FontSize=#Height2#
StringAlign=RIGHT
StringStyle=NORMAL
FontFace=#Font#
AntiAlias=1

[Icon2]
MeasureName=MeasureWeatherIconMod2
Meter=IMAGE
X=45
Y=20
W=45
H=33

;-----------------------
; DAY 3

[Temp3]
MeasureName=MeasureWeatherTemp3
Meter=STRING
MeterStyle=Temp2
X=54
Y=105


[Date3]
MeasureName=MeasureWeatherDate3
Meter=STRING
X=50
Y=15r
FontColor=#Color2#
FontSize=#Height2#
StringAlign=Right
StringStyle=NORMAL
FontFace=#Font#
AntiAlias=1
Text="%1"

[Icon3]
MeasureName=MeasureWeatherIconMod3
Meter=IMAGE
MeterStyle=Icon1
X=45
Y=105


[Dock]
Meter=Image
X=90
Y=0
ImageName=bg.png

[MeasureTime]
Measure=Time

[Seconds]
Meter=ROUNDLINE
MeasureName=MeasureTime
X=112
Y=25
W=95
H=95
LineWidth=1
StartAngle=4.7123889
RotationAngle=6.2831853
LineLength=34
LineStart=0
AntiAlias=1
LineColor=255, 255, 255, 250
ValueReminder=60

[Hours]
Meter=ROUNDLINE
MeterStyle=Seconds
LineWidth=2
LineLength=22
LineColor=255, 255, 255, 250
ValueReminder=43200

[Minutes]
Meter=ROUNDLINE
MeterStyle=Seconds
LineWidth=2
LineLength=32
LineColor=255, 255, 255, 250
ValueReminder=3600
